Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Class DocumentMetaData

    java.lang.Object
      com.plumtree.remote.crawler.DocumentMetaData

public class DocumentMetaData
extends java.lang.Object

Stores metadata information about a `Document` object. Note that when providing values for date properties, the value should be in the format MM/dd/yy HH:mm:ss PM. For example, 10/25/04 12:53:30 PM.

Constructor Summary
`DocumentMetaData()` Default constructor
`DocumentMetaData(NamedValue[] nvArray)` Valued constructor

Method Summary
`void` | `fromArray(NamedValue[] nvArray)` Overwrites the content of this map with the data from the input `NamedValue` array.
`java.lang.Object` | `get(java.lang.Object key, java.lang.Object def)` Returns an object mapped to a key or uses a default object if no value is found.
`java.lang.String` | `get(java.lang.String key)` Gets the mapping for the input key.
`java.lang.String` | `getClickThroughURL()` Gets the URL used for clickthrough to the underlying document.
`java.lang.String` | `getContentType()` Gets the HTTP content-type of this document.
`java.lang.String` | `getDescription()` Gets the textual description of this document.
`java.lang.String` | `getFileName()` Gets the file name of this document.
`java.lang.String` | `getImageUUID()` Gets the UUID for the document image.
`java.lang.String` | `getIndexingURL()` Gets the URL used for crawl-time indexing to the underlying document.
`java.lang.String` | `getName()` Gets the display name of this document.
`java.lang.String` | `put(java.lang.String key, java.lang.String value)` Inserts a key/value mapping into the map.
`java.lang.String` | `setClickThroughURL(java.lang.String value)` Sets the URL used for clickthrough to the underlying document.
`java.lang.String` | `setContentType(java.lang.String value)` Sets the HTTP content-type of this document, e.g.
`java.lang.String` | `setDescription(java.lang.String value)` Sets the textual description of this document.
`java.lang.String` | `setFileName(java.lang.String value)` Sets the file name of this document.
`java.lang.String` | `setImageUUID(java.lang.String value)` Sets the UUID for the document image.
`java.lang.String` | `setIndexingURL(java.lang.String value)` Sets the URL used for crawl-time indexing to the underlying document.
`java.lang.String` | `setName(java.lang.String value)` Sets the display name of this document.
`void` | `setUseDocFetch(boolean value)` If true, indicates that the crawler will use the DocFetch mechanism for clickthrough.
`NamedValue[]` | `toArray()` Returns the contents of this map as a `NamedValue` array.
`java.lang.String` | `toString()` Returns String representation for debugging

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentMetaData

    public DocumentMetaData()

  Default constructor

### DocumentMetaData

    public DocumentMetaData(NamedValue[] nvArray)

  Valued constructor

Parameters:
  `nvArray` - a `NamedValue` array to use as data

Method Detail

### getName

    public java.lang.String getName()

  Gets the display name of this document.

  Returns:
    the document display name

### setName

    public java.lang.String setName(java.lang.String value)

  Sets the display name of this document.

  Parameters:
    `value` - the display name
  Returns:
    the display name

### getDescription

    public java.lang.String getDescription()

  Gets the textual description of this document.

  Returns:
    the description

### setDescription

    public java.lang.String setDescription(java.lang.String value)

  Sets the textual description of this document.

  Parameters:
    `value` - the description
  Returns:
    the description

### getFileName

    public java.lang.String getFileName()

  Gets the file name of this document.

  Returns:
    the file name

### setFileName

    public java.lang.String setFileName(java.lang.String value)

  Sets the file name of this document. Note: This value must be set when using DocFetch.

  Parameters:
    `value` - the file name
  Returns:
    the file name

### getContentType

    public java.lang.String getContentType()

  Gets the HTTP content-type of this document.

  Returns:
    the content-type

### setContentType

    public java.lang.String setContentType(java.lang.String value)

  Sets the HTTP content-type of this document, e.g. text/html Note: This value must be set when using DocFetch.

  Parameters:
    `value` - the content-type string
  Returns:
    the content-type string

### getClickThroughURL

    public java.lang.String getClickThroughURL()

  Gets the URL used for clickthrough to the underlying document. Relative urls are resolved relative to the remote server.

  Returns:
    the public URL of the document

### setClickThroughURL

    public java.lang.String setClickThroughURL(java.lang.String value)

  Sets the URL used for clickthrough to the underlying document. Relative urls are resolved relative to the remote server. Note: This value must be set when NOT using DocFetch.

  Parameters:
    `value` - the URL to the document
  Returns:
    the URL to the document

### getIndexingURL

    public java.lang.String getIndexingURL()

  Gets the URL used for crawl-time indexing to the underlying document. Relative urls are resolved relative to the soap service, , e.g. http: //<my_server>:<my_port>/<my_app>/services/ DocumentProviderSoapBinding

  Returns:
    the public URL of the document

### setIndexingURL

    public java.lang.String setIndexingURL(java.lang.String value)

  Sets the URL used for crawl-time indexing to the underlying document. Relative urls are resolved relative to the soap service, , e.g. http: //<my_server>:<my_port>/<my_app>/services/ DocumentProviderSoapBinding Note: This value must be set when NOT using DocFetch.

  Parameters:
    `value` - the URL to the document
  Returns:
    the URL to the document

### getImageUUID

    public java.lang.String getImageUUID()

  Gets the UUID for the document image.

  Returns:
    the document's image UUID

### setImageUUID

    public java.lang.String setImageUUID(java.lang.String value)

  Sets the UUID for the document image. This value is usually set by the accessor (pdf, office, etc) and not by the provider. Images are stored on the ImageServer in the default images folder. In 5.0, this is /plumtree/portal/public/img To refererence additional images, the images need to be added to this folder and named using the format sml{ + ImageUUID Value + }.gif. For example, the image for Microsoft Word is sml{0c35dd71-6453-11d2-88c3-006008168de5}.gif

  Parameters:
    `value` - the new image UUID
  Returns:
    the new image UUID

### setUseDocFetch

    public void setUseDocFetch(boolean value)

  If true, indicates that the crawler will use the DocFetch mechanism for clickthrough. If false, indicates that the crawler code will provide URLs for both clickthrough and crawl-time indexing.

  Parameters:
    `value` - a boolean indicating whether or not to use DocFetch
  See Also:
    `IDocument.getDocument()`

### get

    public java.lang.Object get(java.lang.Object key,
                                java.lang.Object def)

  Returns an object mapped to a key or uses a default object if no value is found.

  Parameters:
    `key` - the key mapping
    `def` - the default object value
  Returns:
    the value mapped to the key or the default if no value is mapped

### get

    public java.lang.String get(java.lang.String key)

  Gets the mapping for the input key.

  Parameters:
    `key` - the key
  Returns:
    the value mapped to the key

### put

    public java.lang.String put(java.lang.String key,
                                java.lang.String value)

  Inserts a key/value mapping into the map. Note that when providing values for date properties, the value should be in the format MM/dd/yy HH:mm:ss PM. For example, 10/25/04 12:53:30 PM.

  Parameters:
    `key` - the key string
    `value` - the value string mapped to the key
  Returns:
    the new mapping

### fromArray

    public void fromArray(NamedValue[] nvArray)

  Overwrites the content of this map with the data from the input `NamedValue` array.

  Parameters:
    `nvArray` - the `NamedValue` array containing the new data

### toArray

    public NamedValue[] toArray()

  Returns the contents of this map as a `NamedValue` array.

  Returns:
    a `NamedValue` array containing this map's data

### toString

    public java.lang.String toString()

  Returns String representation for debugging

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.